Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# OdeSpace Class Reference

Inheritance diagram for OdeSpace:

List of all members.

## Public Member Functions
| add (OdeGeom geom)
| add (OdeSpace space)
int | autoCollide ()
| clean ()
int | collide (PyObject arg, PyObject near_callback)
OdeHashSpace | convertToHashSpace ()
OdeQuadTreeSpace | convertToQuadTreeSpace ()
OdeSimpleSpace | convertToSimpleSpace ()
| destroy ()
| disable ()
| enable ()
| getAABB (VBase3 min, VBase3 max)
BitMaskunsigned | getCategoryBits ()
int | getClass ()
int | getCleanup ()
BitMaskunsigned | getCollideBits ()
int | getCollideId (OdeGeom geom)
int | getCollideId (dxGeom o1)
string | getCollisionEvent ()
int | getContactId (int data_index, int first)
int | getContactId (int data_index)
OdeGeom | getGeom (int i)
int | getNumGeoms ()
OdeSpace | getSpace ()
int | getSurfaceType (OdeGeom geom)
int | getSurfaceType (dxGeom o1)
bool | isEmpty ()
| Returns true if the ID is 0, meaning the OdeSpace does not point to a valid space.
int | isEnabled ()
int | isSpace ()
int | query (OdeGeom const geom)
int | query (OdeSpace const space)
| remove (OdeGeom geom)
| remove (OdeSpace space)
| setAutoCollideJointGroup (OdeJointGroup)
| setAutoCollideWorld (OdeWorld)
| setCategoryBits (BitMaskunsigned int, 32 const bits)
| setCleanup (int mode)
| setCollideBits (BitMaskunsigned int, 32 const bits)
int | setCollideId (int collide_id, dxGeom id)
int | setCollideId (OdeGeom geom, int collide_id)
| setCollisionEvent (string event_name)
| setSurfaceType (int surface_type, dxGeom id)
| setSurfaceType (OdeGeom geom, int surface_type)
| write (ostream out)
| write ()
| write (ostream out, unsigned int indent)
## Static Public Member Functions
static TypeHandle | getClassType ()
static double | getContactData (int data_index)
## Public Attributes
BitMaskunsigned | int

## Member Function Documentation

add | ( | OdeGeom | geom | ) |

add | ( | OdeSpace | space | ) |

int autoCollide | ( |  | ) |

clean | ( |  | ) |

int collide | ( | PyObject | arg,
|  | PyObject | near_callback
| ) |  |

OdeHashSpace convertToHashSpace | ( |  | ) |

OdeQuadTreeSpace convertToQuadTreeSpace | ( |  | ) |

OdeSimpleSpace convertToSimpleSpace | ( |  | ) |

destroy | ( |  | ) |

disable | ( |  | ) |

enable | ( |  | ) |

getAABB | ( | VBase3 | min,
|  | VBase3 | max
| ) |  |

BitMaskunsigned getCategoryBits | ( |  | ) |

int getClass | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented in OdeHashSpace, OdeQuadTreeSpace, and OdeSimpleSpace.

int getCleanup | ( |  | ) |

BitMaskunsigned getCollideBits | ( |  | ) |

int getCollideId | ( | OdeGeom | geom | ) |

int getCollideId | ( | dxGeom | o1 | ) |

string getCollisionEvent | ( |  | ) |

static double getContactData | ( | int | data_index | ) | `[static]`

int getContactId | ( | int | data_index,
|  | int | first
| ) |  |

int getContactId | ( | int | data_index | ) |

OdeGeom getGeom | ( | int | i | ) |

int getNumGeoms | ( |  | ) |

OdeSpace getSpace | ( |  | ) |

int getSurfaceType | ( | dxGeom | o1 | ) |

int getSurfaceType | ( | OdeGeom | geom | ) |

bool isEmpty | ( |  | ) |

Returns true if the ID is 0, meaning the OdeSpace does not point to a valid space.

It is an error to call a method on an empty space. Note that an empty OdeSpace also evaluates to False.

int isEnabled | ( |  | ) |

int isSpace | ( |  | ) |

int query | ( | OdeGeom const | geom | ) |

int query | ( | OdeSpace const | space | ) |

remove | ( | OdeGeom | geom | ) |

remove | ( | OdeSpace | space | ) |

setAutoCollideJointGroup | ( | OdeJointGroup |  | ) |

setAutoCollideWorld | ( | OdeWorld |  | ) |

setCategoryBits | ( | BitMaskunsigned | int,
|  | 32 const | bits
| ) |  |

setCleanup | ( | int | mode | ) |

setCollideBits | ( | BitMaskunsigned | int,
|  | 32 const | bits
| ) |  |

int setCollideId | ( | int | collide_id,
|  | dxGeom | id
| ) |  |

int setCollideId | ( | OdeGeom | geom,
|  | int | collide_id
| ) |  |

setCollisionEvent | ( | string | event_name | ) |

setSurfaceType | ( | int | surface_type,
|  | dxGeom | id
| ) |  |

setSurfaceType | ( | OdeGeom | geom,
|  | int | surface_type
| ) |  |

write | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

write | ( | ostream | out | ) |

write | ( |  | ) |

## Member Data Documentation

BitMaskunsigned int

All Classes Namespaces Functions Variables Enumerations Enumerator Properties